using System.Reflection;

namespace Pilz.UI.Symbols;

public interface ISymbolFactory<TSymbols>
{
    Image? GetImage(TSymbols svgImage, Size size);
    Image? GetImage(TSymbols svgImage, SymbolSize size);
    Assembly GetImageResourceAssembly();
    string GetImageRessourcePath(TSymbols svgImage);
    Stream? GetImageRessourceStream(TSymbols svgImage);
}